Get a booking page
curl -X GET "https://api.meetonbridge.com/v1/booking-pages/123e4567-e89b-12d3-a456-426614174000" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN (bridge_live_...)"
import requests
import json
url = "https://api.meetonbridge.com/v1/booking-pages/123e4567-e89b-12d3-a456-426614174000"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (bridge_live_...)"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.meetonbridge.com/v1/booking-pages/123e4567-e89b-12d3-a456-426614174000", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (bridge_live_...)"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.meetonbridge.com/v1/booking-pages/123e4567-e89b-12d3-a456-426614174000", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN (bridge_live_...)")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.meetonbridge.com/v1/booking-pages/123e4567-e89b-12d3-a456-426614174000')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN (bridge_live_...)'
response = http.request(request)
puts response.body
{
"status": "example_string",
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "John Doe",
"slug": "example_string",
"description": "null",
"duration_minutes": 42,
"timezone": "null",
"status": "active",
"visibility": "public",
"booking_url": "null",
"location_type": "bridge",
"location": "null",
"scheduling_method": "one_on_one",
"hosts": [
{
"id": 123,
"name": "John Doe",
"email": "null"
}
],
"collection_id": "null",
"questions": [
{
"id": "example_string",
"label": "example_string",
"type": "example_string",
"required": true,
"options": "null"
}
],
"collect_guests": true,
"collect_notes": true,
"reminder_minutes": [
42
],
"created_at": "2024-12-25T10:00:00Z",
"updated_at": "2024-12-25T10:00:00Z"
}
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Forbidden",
"message": "You don't have permission to access this resource",
"code": 403
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
{
"error": "Too Many Requests",
"message": "Rate limit exceeded. Please try again later",
"code": 429,
"retryAfter": 3600
}
GET
/booking-pages/{id}GET
Base URLstring
Target server for requests. Edit to use your own host.
Bearer Token (bridge_live_...)
Bearer Tokenstring
RequiredBearer token (bridge_live_...) - just enter the token, "Bearer" prefix will be added automatically
path
idstring
RequiredBooking page id
Format: uuid
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token (bridge_live_...). Authentication token required.
Path Parameters
idstring
RequiredBooking page id
Responses
statusstring
Requireddataobject
RequiredWas this page helpful?